@font-face {
  font-family: UnifrakturMaguntia;
  src: url('/assets/css/UnifrakturMaguntia-Regular.ttf');
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, sans-serif;
}

body {
  background: #0f0f14;
  color: #fff;
}

a {
  color:#0c77cc;;
}
a:hover {
  color:#fff;
}

.not-found{
  margin: 50px auto;
}
.not-found h1{
  font-size:180px;
}
.not-found p{
  color:#626b70;
}
.not-found a{
  margin-top: 20px;
  
  float: right;
}

button, .typebutton {
  padding: 6px 12px;
  border-radius: 20px;
  border: none;
  background: #353b42;
  color: #fff;
  cursor: pointer;
  font-size: 13px;
  transition: background-color 0.2s ease;
  text-decoration: none;
  color: #ccc;
}
#filtro{
  display: flex;
  flex-wrap: nowrap;
    flex-direction: column;
    align-items: flex-end;
        position: fixed;
    top: 20px;
    right: 20px;
    z-index: 9;
}
#filtro.moveleft{
  right: 210px;
}

#filtro #primeralinea{
  display: flex;
  flex-direction: row;
}
#filtro #selectedCategories{
display: flex;
flex-direction: column;
align-items: flex-end;
}

#selectedCategories .selected-cat {
 margin: 10px 0 0 0;
}

button#toggle-filters{
  /*color:#8db0e9;*/
  color:#a9b9c2 ;
  height: 28px;
  background-color: #000;
}
button:hover, .typebutton:hover {
  background-color: #0c77cc !important;
  color:#fff !important;
}

#app{
  display: flex;
  flex-direction: row-reverse;
  flex-wrap: nowrap;
}

#loading{
  margin:50px auto;
  position: relative;
}
#loading h2{
  font-size:70px;
}
#loading h3{
  font-size: 16px;
  letter-spacing: 12px;
  font-weight: lighter;
  margin-top: -10px;
}
#loading .loadingimg{
  position:absolute;
  top: -5px;
  left: 0px;
  
}
#loading .loadingimg img{
  width:100px;
  mix-blend-mode: darken;
}
#loading .loadingimg img:nth-child(1){
  position: absolute;
    top: 15px;
    left: -35px;
    width: 150px;
  
}
#loading .loadingimg img:nth-child(2){
  position: absolute;
    top: 0;
    left: 125px;
    width: 150px;
  
}
#loading .loadingimg img:nth-child(3){
  position: absolute;
    top: -10px;
    left: 70px;
    width: 90px;
    -webkit-transform: scaleX(-1); 
  transform: scaleX(-1);
  
}

/* ===== NAV ===== */
nav {
  background: #111;
  color: #fff;
  padding: 12px 16px;
  display: flex;
  flex-wrap: wrap;
  gap: 12px;
  flex-direction: row;
    flex-wrap: nowrap;
}
nav .links{
  flex-grow: 1;
  display: flex;
  align-items: center;
  position: relative;
}

nav a, footer a {
  /*color: #678bc4;*/
  /*color:#4faefa;*/
  color: #a9b9c2;
  text-decoration: none;
  font-size: 14px;
  padding:5px 15px;
}

nav a:hover, footer a:hover {
  text-decoration: underline;
  color: #fff;  
}

nav .links .name{
  position: relative;
}

#webicon {
  position: absolute;
    top: -6px;
    left: -6px;
    z-index: 9;
}

.home #webicon {
  position: fixed;
    top: 6px;
    left: 10px;
    z-index: 9;
}

#webicon img{
  width: 70px;
  height: auto;
}

#webicon:hover {
  -webkit-filter: drop-shadow(5px 5px 5px #0f0f14);
  filter: drop-shadow(5px 5px 5px #0f0f14);
}

#actualpages{
      display: flex;
    font-size: small;
    margin-right: 20px;
    color: #a9b9c2;
    border-radius: 9px;
    background: rgba(0, 0, 0, 0.5);
    padding: 3px 10px;
    align-items: center;
}

#actualpage{
  padding-right: 7px;
}


nav .links .name h1{
  font-family: "UnifrakturMaguntia", cursive;
  font-weight: 400;
  font-style: normal;
  font-size: 30px;
  margin-left: 60px;
}

footer {
      width: 100%;
    border-top: #363c41 1px solid;
    padding: 20px;
    margin: 100px auto 0 auto;
    max-width: 1100px;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    color: #626b70;
}

footer > div:first-child {
flex-grow: 1;
}

/* ===== FILTERS ===== */
#filters {
  display: flex;
  flex-wrap: nowrap;
  flex-direction: column;
  gap: 10px;
  padding: 12px;
  /*background: #000;*/
  /*border-bottom: 1px solid #000;*/
  width: 200px;
      height: 100vh;
    position: sticky;
    top: 0;
    overflow: scroll;
}

#filters label {
  font-size: 13px;
  background: #353b42;
  padding: 6px 20px 6px 10px;
  border-radius: 20px;
  cursor: pointer;
  transition: background-color  0.2s ease;
}

#filters label.labelchecked{
  background-color: #0c77cc;
  color:#fff;
}

#filters label:hover {
  background-color: #0c77cc;
  color:#fff;
}
.hidden {
  display: none !important;
}

.bubble{
  background-color: #0c77cc;
  color:#fff;
  border-radius: 50%;
  padding: 4px 10px;
    margin-right: 10px;
    font-size: 14px;
}


#filters input {
  margin-right: 6px;
  border-radius: 3px;
}
.filter-group {
  margin-bottom: 12px;
}

.filter-group h4 {
  font-size: 14px;
  font-weight: 600;
  margin-bottom: 6px;
  color: #ccc;
}

.filter-items {
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  align-items: flex-start;
  gap: 8px;
}

.filter-items label {
  background: #444657;
  color: #ccc;
  padding: 6px 10px;
  border-radius: 20px;
  font-size: 13px;
  cursor: pointer;
}



/* ===== GALLERY ===== */
#gallery {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(140px, 1fr));
  gap: 1px;
  gap: 0px 2px;
  padding: 2px;
  flex-grow: 1;
  align-content: start;
  min-height: 100vh;
}

#gallery img {
  width: 100%;
  height: 200px;
  object-position: center center;
  object-fit: cover;
  border-radius: 4px;
  cursor: pointer;
  background: #000;
  opacity:0;
  transition: opacity 0.2s ease;
}

#gallery img:hover {
  /*transform: scale(1.03);*/
}

.gallery-item {
  display: block;
  width: 100%;
  height: 100%;
  overflow: hidden;
  position: relative;
  
}
.gallery-end {
  width: 100%;
  height: 200px;
  border-radius: 4px;
  background: #304045;
  display: flex;
  align-items: center;
}
.gallery-end h3{
  text-align: center;
  display: block;
  width: 100%;
}
.gallery-end i{
  text-align: center;
  display: block;
  width: 100%;
  color:#8f8f8f;
  font-weight: 400;
  font-size: 16px;
}
.gallery-item .info{
  display: flex;
  align-items: flex-end;
  width: 100%;
  height: 100%;
  position:relative;
  z-index: 3;
  position: absolute;
  bottom: 0px;
  left: -100%;
  transition: left 0.2s ease;
}
.gallery-item:hover .info{
  left: 0px;
}
.gallery-item .info h3{
 color:#fff;
 padding:20px;
}
.gallery-item .infobck{
  display: block;
  width: 100%;
  height: 100%;
  background: linear-gradient(0deg,rgba(15, 15, 20, 0.58) 20%, rgba(15, 15, 20, 0) 100%);
  position:relative;
  z-index:2;
  position: absolute;
  top: 0;
  left: 0;
  opacity:0;
  transition: opacity 0.2s ease;
}
.gallery-item:hover .infobck{
  opacity: 1;
}

/* ===== SINGLE IMAGE ===== */

#singleimage{
  display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    margin: 20px auto;
    width: 1100px;
    max-width: 100%;
}

#bigimage, #bigimageup{
  margin:20px auto;
  width: 1100px;
    max-width: 100%;
}
#bigimageup  {
  display: flex;
    /* margin: 0 auto; */
    justify-content: center;
}
.single-container {
  padding: 16px;
  max-width: 900px;
  margin: auto;
}

.single-container img {
  width: 100%;
  max-height: 70vh;
  object-fit: contain;
  border-radius: 12px;
  background: #000;
}

.single-container button {
  margin: 6px 6px 0 0;
  padding: 6px 12px;
  border-radius: 20px;
  border: none;
  background: #222;
  color: #fff;
  cursor: pointer;
}

.single-layout {
  display: grid;
  grid-template-columns: 1fr 1.4fr;
  gap: 20px;
  padding: 16px;
  max-width: 1100px;
  margin: auto;
}

.single-info {
  display: flex;
  flex-direction: column;
  gap: 12px;
  color:#8f969a;
}

.single-info h1 {
  font-size: 24px;
  color:#fff;
  font-weight: lighter; 
}

.single-info .content {
  text-align: left;
    padding-right: 50px;
    color:#626b70;    
}
.single-info .size {   
  /*color:#b3c2ca;*/
}
.single-info .time {   
  color:#626b70;
  font-style: italic;
}

.single-cats {
  display: flex;
  flex-wrap: wrap;
  gap: 8px;
}

.single-cats button {
  padding: 6px 12px;
  border-radius: 20px;
  border: none;
  background: #222;
  color: #fff;
  cursor: pointer;
  font-size: 13px;
}
.single-image {position:relative;}
.single-image img {
  width: 100%;
  max-height: 80vh;
  object-fit: contain;
  border-radius: 12px;
  background: #08080b;
  position:relative;
}

/* RESPONSIVE */
@media (max-width: 768px) {
  .single-layout {
    grid-template-columns: 1fr;
  }

  .single-image img {
    max-height: 80vh;
  }
}
.single-cats-grouped {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.cat-group h4 {
  font-size: 14px;
  font-weight: 600;
  color:#8f969a;
  margin-bottom: 6px;
}

.cat-items {
  display: flex;
  flex-wrap: wrap;
  gap: 8px;
}

.cat-items button {
  padding: 6px 12px;
  border-radius: 20px;
  border: none;
  background-color: #353b42;
  color: #fff;
  cursor: pointer;
  font-size: 13px;
  transition: background-color 0.2s ease;
}
.cat-items button:hover {
  background-color: #0c77cc;
}

.zoom{
  position:absolute;
  top:10px; 
  right:10px;
  z-index:9;
}
.zoom button{
 background-color:#353b427a;
 transition: background-color 0.2s ease;
}
.zoom button:hover{
 background-color: #0c77cc;
}
.related-section {
  padding: 20px 16px 40px;
  max-width: 1100px;
  margin: auto;
}

.related-section h3 {
  margin-bottom: 12px;
  font-size: 18px;
  font-weight: lighter;
}

.related-gallery {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(140px, 1fr));
  gap: 10px;
}

.related-item img {
  width: 100%;
  height: 140px;
  object-fit: cover;
  border-radius: 8px;
  opacity:0.6;
  transition: all 0.2s ease;
}

.related-item img:hover {
  transform: scale(1.05);
  opacity:1;
  cursor: pointer;
}

.modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,0.8);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

.modal img {
  max-width: 90%;
  max-height: 90%;
  border-radius: 8px;
}

.modal.hidden {
  display: none;
}

#modal-close {
  position: absolute;
  top: 20px;
  right: 30px;
  font-size: 3rem;
  color: white;
  cursor: pointer;
}



/* Responsive */
@media (max-width: 768px) {
  .related-item img {
    height: 120px;
  }
}
.nav-images {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px 16px;
  max-width: 1100px;
  margin: auto;
  font-size: 14px;
}

.nav-text {
  color: #626b70;
}

a.nav-item {
  display: flex;
  align-items: center;
  gap: 10px;
  text-decoration: none;
  color: #626b70;
  
}

a.nav-item img {
  width: 70px;
  height: 70px;
  object-fit: cover;
  border-radius: 8px;
  background: #ddd;
  opacity:0.6;
  transition: opacity 0.2s ease;
}

a.nav-item:hover{
  color: #fff;
}

a.nav-item:hover img{
  opacity:1;
}

a.nav-item.prev {
  flex-direction: row;
}

a.nav-item.next {
  flex-direction: row-reverse;
  text-align: right;
}

@media (max-width: 768px) {
  .nav-images {
    flex-direction: column;
    gap: 12px;
  }
}


/* ===== PAGES ===== */
.page-content {
  padding: 16px;
  width: 900px;
  max-width: 100%;
  margin: auto;
  line-height: 1.6;
  color: #626b70;
}

.page-content h1 {
  margin-bottom: 12px;
  font-weight: lighter;
  color: #fff;
}
.page-content p {
      margin: 0 10px 20px 10px;
}

 #singleimage .content p {
      margin: 0 10px 20px 0px;
}

/* ===== MOBILE ===== */
@media (max-width: 600px) {
  nav {
    justify-content: center;
  }

  #gallery img {
    height: 140px;
  }

  .single-container img {
    max-height: 50vh;
  }
}

/* ===== TABLET ===== */
@media (min-width: 601px) and (max-width: 900px) {
  #gallery {
    grid-template-columns: repeat(auto-fill, minmax(180px, 1fr));
  }
}

/* ===== DESKTOP ===== */
@media (min-width: 901px) {
  #gallery {
    grid-template-columns: repeat(auto-fill, minmax(220px, 1fr));
  }
}


/* ========= wordpress ======== */

.wp-block-columns{box-sizing:border-box;display:flex;flex-wrap:wrap!important}@media (min-width:782px){.wp-block-columns{flex-wrap:nowrap!important}}.wp-block-columns{align-items:normal!important}.wp-block-columns.are-vertically-aligned-top{align-items:flex-start}.wp-block-columns.are-vertically-aligned-center{align-items:center}.wp-block-columns.are-vertically-aligned-bottom{align-items:flex-end}@media (max-width:781px){.wp-block-columns:not(.is-not-stacked-on-mobile)>.wp-block-column{flex-basis:100%!important}}@media (min-width:782px){.wp-block-columns:not(.is-not-stacked-on-mobile)>.wp-block-column{flex-basis:0;flex-grow:1}.wp-block-columns:not(.is-not-stacked-on-mobile)>.wp-block-column[style*=flex-basis]{flex-grow:0}}.wp-block-columns.is-not-stacked-on-mobile{flex-wrap:nowrap!important}.wp-block-columns.is-not-stacked-on-mobile>.wp-block-column{flex-basis:0;flex-grow:1}.wp-block-columns.is-not-stacked-on-mobile>.wp-block-column[style*=flex-basis]{flex-grow:0}:where(.wp-block-columns){margin-bottom:1.75em}:where(.wp-block-columns.has-background){padding:1.25em 2.375em}.wp-block-column{flex-grow:1;min-width:0;overflow-wrap:break-word;word-break:break-word}.wp-block-column.is-vertically-aligned-top{align-self:flex-start}.wp-block-column.is-vertically-aligned-center{align-self:center}.wp-block-column.is-vertically-aligned-bottom{align-self:flex-end}.wp-block-column.is-vertically-aligned-stretch{align-self:stretch}.wp-block-column.is-vertically-aligned-bottom,.wp-block-column.is-vertically-aligned-center,.wp-block-column.is-vertically-aligned-top{width:100%}
.wp-block-image img {width:100%;}